﻿using System.Text.RegularExpressions;
using System.Windows.Controls;

namespace UnitConvertor.Validations
{
    public class ValidationRules : ValidationRule
    {
        public float Value { get; set; }
        public override ValidationResult Validate(object value, System.Globalization.CultureInfo cultureInfo)
        {
            string input = ((string)value);

            if (value == null || input.Length == 0)
            {
                return new ValidationResult(false, "Insert value");
            }
            if (!Regex.IsMatch(input, @"[-+]?(\d*[.])?\d+"))
            {
                return new ValidationResult(false, "Insert valid number");
            }
            return new ValidationResult(true, null);
        }
    }
}


